Qt 5.8 | Qt 3D | C++ Classes | QRenderState

Qt 5.8.0 Reference Documentation

# QRenderState Class

(Qt3DRender::QRenderState)

An abstract base class for all render states More...

Header: | #include <QRenderState>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | RenderState
Inherits: | Qt3DCore::QNode

Inherited By:

Qt3DRender::QAlphaCoverage, Qt3DRender::QAlphaTest, Qt3DRender::QBlendEquation, Qt3DRender::QBlendEquationArguments, Qt3DRender::QClipPlane, Qt3DRender::QColorMask, Qt3DRender::QCullFace, Qt3DRender::QDepthTest, Qt3DRender::QDithering, Qt3DRender::QFrontFace, Qt3DRender::QMultiSampleAntiAliasing, Qt3DRender::QNoDepthMask, Qt3DRender::QPointSize, Qt3DRender::QPolygonOffset, Qt3DRender::QScissorTest, Qt3DRender::QSeamlessCubemap, Qt3DRender::QStencilMask, Qt3DRender::QStencilOperation, and Qt3DRender::QStencilTest

- List of all members, including inherited members

## Protected Functions

| QRenderState(QRenderStatePrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 6 public functions inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode

## Detailed Description

An abstract base class for all render states

A Qt3DRender::QRenderState class is abstract base class for all render states. One can not instantiate QRenderState directly, but through its subclasses.

## Member Function Documentation

### `[protected]` QRenderState::QRenderState(QRenderStatePrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.